@charset "utf-8";
/* CSS Document */

/*==========================================================BANNER===========================================================================*/
.bgbannershoppingcart{
background-image: url("../imgs/Banner03.jpg");
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	height: 500px;	
}

/*==========================================================PAGINATION===========================================================================*/
ul.breadcrumb li {
  display: flex;
  font-size: 18px;
	color: white;
		font-family: fontbody;
	
}
ul.breadcrumb li+li:before {
  padding: 0px 10px;
  color: white;
  content: "\007C";
  font-size: 13px;
}
ul.breadcrumb li a {
  background-color: #fff;
	opacity: 50%;
	transition: all ease .5s;
	text-decoration: none;
	 -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
	font-size: 16px;
		font-family: fontbody;
}

.headingsp{
    font-size: 16px;
    padding: px;
	font-family: fontbody;
	background: linear-gradient(90deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
	transition: all ease .5s;
	text-decoration: none;
	 -webkit-background-clip: text;
  -webkit-text-fill-color: transparent; 
	
}
.fthd{     
    padding-bottom: 50px;
}
.hd{
    padding-bottom: 20px;
}
.fthd, .hd{
    text-align: center;
    color: #FFFFFF;
}
.breadcrumb{
	background-color: transparent;
	margin: 50px 0px 0px;
	padding-bottom: 50px;
}

/*===========heading sopping cart============*/
.hdproduct, .hdprice, .hdquantity, .hdtotal{
	color: #D6BB92;
	margin-bottom: 30px;
	text-align: center;
}
.hdproduct h5,.hdprice h5, .hdquantity h5, .hdtotal h5{
	margin-bottom: 0px;
}
/*==========anh sp==========*/
.imgnigirisp{
	text-align: center;
}
.imgnigirisp img{
	width: 180px;
	background-color: #222023;
	border-radius: 10px;
}
.imgnigirisp h5{
	color: white;
	margin: 0px;
	padding-top: 20px;
}
.imgnigirisp p{
	color: white;
	opacity: 50%;
	font-size: 14px;
	margin: 0px;
	padding-top: 15px;
}
/*==========gia sp==========*/
.pricehd p{
	color: white;
	font-size: 20px;
	text-align: center;
	padding-top: 70px;
}
/*==========quantity==========*/
.quantity__minus span, .quantity__plus span{
	font-size: 25px;
	text-decoration: none;
	margin-top: -1px;
}

.quantity {
  display: flex;
}
.quantity__minus, .quantity__plus {
  display: block;
  width: 25px;
  height: 30px;
  margin: 0;
  background: linear-gradient(90deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
  text-decoration: none;
  text-align: center;
  line-height: 23px;
  transition: all ease .5s;
	border: 0.1px solid transparent;
}

.quantity__minus {
  border-radius: 5px 0 0 5px;
	padding-left: 3px;
}
.quantity__plus {
  border-radius: 0 5px 5px 0;
}
.quantity__input {
  width: 30px;
	height: 30px;
  outline: none;
  margin: 0;
  padding: 0;
  text-align: center;
  border: 0px solid transparent;
  background: linear-gradient(180deg, rgba(161.71, 160.09, 160.09, 0.25) 0%, rgba(59.71, 59.11, 59.11, 0.25) 100%);
  color: white;
}
.quantity__minus:link, .quantity__plus:link {
  color: white;
	padding-top: 1px;
} 
.quantity__minus:visited, .quantity__plus:visited {
  color: #fff;
}
.quantity__minus:hover, .quantity__plus:hover {
	background: transparent;
	color: #fff;
 	transition: all ease .5s;
	text-decoration: none;
	border: 0.1px solid red;
	} 
/*==========gia tong==========*/
.pricetotal p{
	color: white;
	font-size: 20px;
	text-align: center;
	padding-top: 70px;
}
.iconxr{
	padding-top: 70px;
	text-align: center;
}
.iconxr a{
	text-decoration: none;
	color: #D6BB92;
	opacity: 50%;
	
}
.iconxr a:hover{
	color: white;
	opacity: 50%;
	
}




.shoppingcart{
	scroll-snap-type: both mandatory;
  width: 100%;
  aspect-ratio: 1/1;
  margin: 0px auto;
  white-space: nowrap;
  overflow-x: auto;
	overflow-y: scroll;
	direction: rtl; /* Đặt hướng từ phải sang trái */
	scrollbar-color: rgba(4,4,4,0.8) rgba(255,255,255,0.5);
	scrollbar-width: auto;
	
}
/*duong gach ngang*/
.dgn{
	margin: 0px 0px 30px 0px; 
	background-color: #D6BB92; 
	height: 2px; 
	border-radius: 10px; 
	text-align: center;
}
.dgoc{
	margin-top: 30px;
}
.dgncon{
	margin: 30px 0px; 
	background-color: #D6BB92; 
	height: 0.1px; 
	border-radius: 10px; 
	text-align: center;
	width: 84%;
	
}
.dgncon1{
	margin: 30px 0px; 
	background-color: #D6BB92; 
	height: 0.1px; 
	border-radius: 10px; 
	text-align: center;
	width: 100%;
	
}


/*Promo code*/
.code {
	width: 100%;
	position: relative;
	display: flex;
	background: linear-gradient(129deg, rgba(255,255,255,0.2) 0%, rgba(255,255,255,0) 100%);
      backdrop-filter: blur(5px);
          -webkit-backdrop-filter: blur(5px);
	border: 0.5px solid white;
	border-radius: 10px;
}
.code input{
	color: white;
	font-size: 16px;
}
.boxpc{
	padding-top: 30px;
}
.boxpc h5{
	color: #D6BB92;
	margin-bottom: 15px;
}
.searchcode {
  width: 90%;
  padding: 5px 5px 5px 15px;
  height: 40px;
  outline: none;
  color: rgba(255,255,255,0.5);
	border: 0.5px solid transparent;
	border-radius: 10px 0px 0px 10px;
	background-color: transparent;
}

.searchcode:focus{
  color: white;
}

.promocode {
  width: 10%;
  height: 41px;
  background-color: transparent;
  color: #D6BB92;
  border-radius: 0px 10px 10px 0px;
  cursor: pointer;
  font-size: 20px;
}
.promocode i{
	margin-bottom: 2px;
}


/*bill*/
.alltotal{
	color: white;
}
.boxos, .boxvat{
	display: flex;
	justify-content: space-between;
	font-size: 16px;
	margin-bottom: 20px;
	padding: 0px;
}
.boxtotal{
	display: flex;
	justify-content: space-between;
	font-size: 16px;
	margin: 0px;
	padding: 0px;
}
.boxos li p, .boxvat li p, .boxfee li p, .boxtotal li p{
	margin: 0px;
}
.boxfee{
	display: flex;
	justify-content: space-between;
	font-size: 16px;
	margin-bottom: 60px;
	padding: 0px;
}
.pricett p{
	font-size: 25px;
	color: #D6BB92;
}

/*button*/
.buttonrtsgtco{
	display: flex;
	justify-content: space-between;
	margin: 60px 0px;
}
/*nut trai*/
.btnrtsp {
  position: relative;
  height: fit-content;
  display: flex;
  justify-content: left;
  align-items: center;
  width: 220px;
  height: 40px;
  text-align: center;
  text-indent: 10px;
  transition: 300ms;
  padding-left: 4px;
  font-weight: 500;
	background-color: transparent;
	color: white;
}
.btnrtsp a{
	color: white;
	text-decoration: none;
}







/*nut phai*/
.btnphu{
	display: inline-block;
	height: 40px;
	color: #9E0A0A;
	background-color: #F1D6AB;
	padding: 7px 25px;
	border-radius: 10px;
	border: 1px solid #F1D6AB;
	transition: all ease .5s;
	float: right;
	right: 15%;
}

/*sub*/
.boxsubcribe{
	margin-top: 40px;
}



/*=======================ONLY X-LARGE=======================*/
@media(min-width: 1200px){
	/*pagination*/
	ul.breadcrumb li a:hover {
   background: linear-gradient(90deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
	opacity: 100%;
	transition: all ease .5s;
	text-decoration: none;
	 -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;

}
	/*quantity*/
	.quantity {
		padding: 70px 50px;
	}
	.alltotal{
		padding: 0px 30px 0px 55px;
	}
	
	.shoppingcart{
		height: 450px;
	}
	
	
	.btnrtsp::before {
  content: "";
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  right: 0;
  display: block;
  width: 40px;
  height: 40px;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
  z-index: -1;
}

.btnrtsp::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 17px;
  transform: translate(50%, -50%) rotate(-135deg);
  width: 12px;
  height: 12px;
  border-top: 2px solid white;
  border-right: 2px solid white;
	border-radius: 1px;
  transition: 400ms;
}

.btnrtsp:hover {
  text-indent: 15px;
  color: white;
  font-weight: 500;
	transition: all 0.45s;
	padding-left: 30px;
}
.btnrtsp:active {
  scale: 0.95;
}

.btnrtsp:hover::before {
  width: 100%;
}

.btnrtsp:hover::after {
  right: calc(100% - 25px);
}
	/*nut phai*/
	.btnphu:hover{
	color: #9E0A0A;
	text-decoration: none;
}
.btnphu:hover{
	background: transparent;
	border: 1px solid #F1D6AB;
	color: #F1D6AB;
	transition: all ease .5s;
	text-decoration: none;
}
	/*icon thung rac trang sm*/
	.imgnigirisp h5 a{
		display: none;
	}
	
	.promocode:hover{
	color: rgba(255,255,255,0.5);
	ransition: all ease 0.4s;
}
}


/*=======================ONLY LARGE=======================*/
@media(min-width: 992px) and (max-width: 1199px){
	/*pagination*/
	ul.breadcrumb li a:hover {
   background: linear-gradient(90deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
	opacity: 100%;
	transition: all ease .5s;
	text-decoration: none;
	 -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;

}
	/*quantity*/
	.quantity {
		padding: 70px 40px 0px 10px;
	}
	.alltotal{
		padding: 0px 40px 0px 30px;
	}
	.shoppingcart{
		height: 450px;
	}
	
	
	/*nut trai*/
	.btnrtsp::before {
  content: "";
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  right: 0;
  display: block;
  width: 40px;
  height: 40px;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
  z-index: -1;
}

.btnrtsp::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 17px;
  transform: translate(50%, -50%) rotate(-135deg);
  width: 12px;
  height: 12px;
  border-top: 2px solid white;
  border-right: 2px solid white;
	border-radius: 1px;
  transition: 400ms;
}

.btnrtsp:hover {
  text-indent: 15px;
  color: white;
  font-weight: 500;
	transition: all 0.45s;
	padding-left: 30px;
}
.btnrtsp:active {
  scale: 0.95;
}

.btnrtsp:hover::before {
  width: 100%;
}

.btnrtsp:hover::after {
  right: calc(100% - 25px);
}
	
	/*nut phai*/
	.btnphu:hover{
	color: #9E0A0A;
	text-decoration: none;
}
.btnphu:hover{
	background: transparent;
	border: 1px solid #F1D6AB;
	color: #F1D6AB;
	transition: all ease .5s;
	text-decoration: none;
}
	
	.promocode:hover{
	color: rgba(255,255,255,0.5);
	ransition: all ease 0.4s;
}
	.imgnigirisp h5 a{
		display: none;
	}
}

/*=======================ONLY MEDIUM=======================*/
@media(min-width: 768px) and (max-width: 991px){
	/*pagination*/
	ul.breadcrumb li a:hover {
   background: linear-gradient(90deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
	opacity: 100%;
	transition: all ease .5s;
	text-decoration: none;
	 -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;

}
	/*banner*/
	.bgbannershoppingcart{
	background-position: center;
	background-size: cover;
	height: 300px;	
	}
	
	/*quantity*/
	.quantity {
		padding: 70px 5px 0px 20px;;
	}
	
	.shoppingcart{
		height: 450px;
	}
	
	.alltotal{
		margin-top: 30px;
		padding-left: 30px;
	}
	
	
	/*nut trai*/
	.btnrtsp::before {
  content: "";
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  right: 0;
  display: block;
  width: 40px;
  height: 40px;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
  z-index: -1;
}

.btnrtsp::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 17px;
  transform: translate(50%, -50%) rotate(-135deg);
  width: 12px;
  height: 12px;
  border-top: 2px solid white;
  border-right: 2px solid white;
	border-radius: 1px;
  transition: 400ms;
}

.btnrtsp:hover {
  text-indent: 15px;
  color: white;
  font-weight: 500;
	transition: all 0.4s;
	padding-left: 30px;
}
.btnrtsp:active {
  scale: 0.95;
}

.btnrtsp:hover::before {
  width: 100%;
}

.btnrtsp:hover::after {
  right: calc(100% - 25px);
}
	
	/*nut phai*/
	.btnphu:hover{
	color: #9E0A0A;
	text-decoration: none;
}
.btnphu:hover{
	background: transparent;
	border: 1px solid #F1D6AB;
	color: #F1D6AB;
	transition: all ease .5s;
	text-decoration: none;
}
	
	/*icon thung rac trang sm*/
	.imgnigirisp h5 a{
		display: none;
	}
	
	
	.promocode:hover{
	color: rgba(255,255,255,0.5);
	ransition: all ease 0.4s;
}
}

/*=======================ONLY SMALL=======================*/
@media(min-width: 576px) and (max-width: 767px){
	/*icon thung rac trang sm*/
.imgnigirisp h5 a{
	font-size: 18px;
	padding-left: 90%;
	color: #D6BB92;
  	opacity: 50%;
	display: block;
	}
	.imgnigirisp h5 a:hover{
		color: white;
		opacity: 50%;
	}
	
	/*quantity*/
	.quantity {
		padding: 70px 25px;
	}
	
	/*promo code*/
	.searchcode {
  		width: 85%;
	}
	.boxpc{
		padding-bottom: 30px;
	}

	.promocode {
  		width: 15%;
	}
	
	.shoppingcart{
		height: 450px;
	}
	
	.alltotal{
		margin-top: 30px;
	}
	
	
	
	/*nut phai*/
	.btnphu:hover{
		color: #9E0A0A;
		text-decoration: none;
	}
	/*nut trai*/
	.btnrtsp::before {
  content: "";
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  right: 25px;
  display: block;
  width: 200px;
  height: 40px;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
  z-index: -1;

}
	.btnrtsp::after {
	content: "";
	position: absolute;
	top: 50%;
	left: 0px;
	transform: translate(50%, -50%) rotate(-135deg);
	width: 12px;
	height: 12px;
	border-top: 2px solid white;
	border-right: 2px solid white;
	border-radius: 1px;
  	transition: 400ms;
	}
	.btnrtsp {
    padding-left: 25px;	
	}
	
	
	
	
	/*icon thung rac trang sm*/
	.imgnigirisp h5 a{
		font-size: 18px;
		padding-left: 90%;
		color: #D6BB92;
		opacity: 50%;
		display: block;
	}
	.imgnigirisp h5 a:hover{
		color: white;
		opacity: 50%;
	}
	/*banner*/
	.bgbannershoppingcart{
	background-position: center;
	background-size: cover;
	height: 300px;	
	}
	
	
}




/*=======================ONLY X-SMALL=======================*/
@media(max-width: 576px){
	
	/*banner*/
	.bgbannershoppingcart{
	background-position: center;
	background-size: cover;
	height: 200px;	
	}
	
	/*icon thung rac trang sm*/
	.imgnigirisp h5 a{
		font-size: 18px;
		padding-left: 90%;
		color: #D6BB92;
		opacity: 50%;
		display: block;
	}
	.imgnigirisp h5 a:hover{
		color: white;
		opacity: 50%;
	}
	/*quantity*/
	.quantity {
		padding: 70px 10px 70px 15px;
	}
	
	/*promo code*/
	.searchcode {
  		width: 85%;
	}
	.boxpc{
		padding-bottom: 30px;
	}
	.promocode {
  		width: 15%;
	}
	
	.shoppingcart{
		height: 420px;
		
	}
	
	.alltotal{
		margin-top: 30px;
	}
	
	
	/*nut trai*/
	.btnrtsp::before {
  content: "";
  transition: all 0.45s cubic-bezier(0.65, 0, 0.076, 1);
  position: absolute;
  right: 25px;
  display: block;
  width: 200px;
  height: 40px;
  border-radius: 10px;
  background: linear-gradient(129deg, rgba(158,10,10,1) 0%, rgba(233,105,64,1) 100%);
  z-index: -1;

}
	.btnrtsp::after {
	content: "";
	position: absolute;
	top: 50%;
	left: 0px;
	transform: translate(50%, -50%) rotate(-135deg);
	width: 12px;
	height: 12px;
	border-top: 2px solid white;
	border-right: 2px solid white;
	border-radius: 1px;
  	transition: 400ms;
	}
	.btnrtsp {
    padding-left: 25px;	
	}
	/*nut phai*/
	.btnphu:hover{
		color: #9E0A0A;
		text-decoration: none;
	}
	
}